# Uses of Class
org.apache.solr.client.solrj.request.CollectionAdminRequest.ListBackup

Packages that use CollectionAdminRequest.ListBackup
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.

## Uses of CollectionAdminRequest.ListBackup in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request that return CollectionAdminRequest.ListBackup
Modifier and Type
Method
Description
`static CollectionAdminRequest.ListBackup`
CollectionAdminRequest.`listBackup(String backupName)`
Create a `SolrRequest` object to list information about all backup points with the specified name.
`CollectionAdminRequest.ListBackup`
CollectionAdminRequest.ListBackup.`setBackupLocation(String backupLocation)`
`CollectionAdminRequest.ListBackup`
CollectionAdminRequest.ListBackup.`setBackupRepository(String backupRepository)`